Commit 6c52b1bf authored by Tim Smith's avatar Tim Smith
Browse files

Require Chef 12.9+ and remove compat_resource dep


Signed-off-by: default avatarTim Smith <tsmith@chef.io>
parent e816bc85
driver:
name: dokken
privileged: true # because Docker and SystemD/Upstart
chef_version: current
chef_version: <%= ENV['CHEF_VERSION'] || 'current' %>
transport:
name: dokken
......@@ -14,65 +14,66 @@ verifier:
name: inspec
platforms:
- name: amazonlinux
driver:
image: dokken/amazonlinux
pid_one_command: /sbin/init
- name: debian-7
driver:
image: debian:7
image: dokken/debian-7
pid_one_command: /sbin/init
intermediate_instructions:
- RUN /usr/bin/apt-get update
- RUN /usr/bin/apt-get install lsb-release procps -y
- name: debian-8
driver:
image: debian:8
image: dokken/debian-8
pid_one_command: /bin/systemd
intermediate_instructions:
- RUN /usr/bin/apt-get update
- name: debian-9
driver:
image: dokken/debian-9
pid_one_command: /bin/systemd
intermediate_instructions:
- RUN /usr/bin/apt-get update
- RUN /usr/bin/apt-get install lsb-release -y
- name: centos-6
driver:
image: centos:6
platform: rhel
image: dokken/centos-6
pid_one_command: /sbin/init
intermediate_instructions:
- RUN yum -y install which initscripts
- name: centos-7
driver:
image: centos:7
platform: rhel
image: dokken/centos-7
pid_one_command: /usr/lib/systemd/systemd
intermediate_instructions:
- RUN yum -y install lsof which systemd-sysv initscripts
- name: fedora-latest
driver:
image: fedora:latest
image: dokken/fedora-latest
pid_one_command: /usr/lib/systemd/systemd
intermediate_instructions:
- RUN dnf -y install which systemd-sysv initscripts
- name: ubuntu-14.04
driver:
image: ubuntu-upstart:14.04
image: dokken/ubuntu-14.04
pid_one_command: /sbin/init
intermediate_instructions:
- RUN /usr/bin/apt-get update
- name: ubuntu-16.04
driver:
image: ubuntu:16.04
image: dokken/ubuntu-16.04
pid_one_command: /bin/systemd
intermediate_instructions:
- RUN /usr/bin/apt-get update
- name: opensuse-leap
driver:
image: opensuse:leap
image: dokken/opensuse-leap
pid_one_command: /bin/systemd
intermediate_instructions:
- RUN zypper --non-interactive install aaa_base perl-Getopt-Long-Descriptive which hostname
suites:
- name: default
run_list:
......
......@@ -11,6 +11,8 @@ platforms:
run_list: apt::default
- name: debian-8
run_list: apt::default
- name: debian-9
run_list: apt::default
- name: fedora-26
- name: opensuse-leap-42
- name: ubuntu-14.04
......
......@@ -6,7 +6,6 @@ description 'Installs erlang, optionally install GUI tools.'
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
version '5.1.0'
depends 'compat_resource'
depends 'yum-epel'
depends 'yum-erlang_solutions', '>= 1.0.3'
depends 'build-essential'
......@@ -22,4 +21,4 @@ end
source_url 'https://github.com/chef-cookbooks/erlang'
issues_url 'https://github.com/chef-cookbooks/erlang/issues'
chef_version '>= 12.1'
chef_version '>= 12.9'
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment